AbstractAccessLogValve.IdentifierElement (Apache Tomcat 10.1.56 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: IdentifierElement

# Class AbstractAccessLogValve.IdentifierElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.IdentifierElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.IdentifierElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write identifier element %{xxx}L.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentifierElement()`
  Creates a new identifier element with unknown type.
  `IdentifierElement(String type)`
  Creates a new identifier element with the specified type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### IdentifierElement

    public IdentifierElement()
    Creates a new identifier element with unknown type.

  - ### IdentifierElement

    public IdentifierElement(String type)
    Creates a new identifier element with the specified type.
    Parameters:
      `type` - The identifier type ("c" for connection)

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request